--- title: "get-import-list" slug: "get-import-list" updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/get-import-list" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # get-import-list Available in VPC Get the list of file import requests in a box. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/import/get-import-list | ### Request headers For information about the headers common to all Datafence APIs, see [Datafence request headers](/docs/en/datafence-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `fenceId` | Integer | Required | Datafence number - See [get-datafence](/docs/en/get-datafence). | | `boxId` | Integer | Required | Box number - See [get-box-list](/docs/en/get-box-list). | | `status` | String | Optional | Import request status code - See [File import status code](/docs/en/datafence-code#FileImportStatusCode). | | `from` | String | Optional | Query start date and time - yyyyMMddHHmmss format | | `to` | String | Optional | Query end date and time - yyyyMMddHHmmss format | | `page` | Integer | Optional | Page number - 0-100 (default: 0) | | `size` | Integer | Optional | Number of items per page - 1-100 (default: 10) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://datafence.apigw.ntruss.com/api/v1/import/get-import-list?fenceId=26&boxId=74&status=IMPORTED&from=20250401000000&to=20250430000000' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `totalCount` | Integer | - | Number of response results | | `content` | Array | - | Import request list: [content](/docs/en/get-import-list#content) | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `fileId` | Integer | - | Import request number | | `fenceId` | Integer | - | Datafence number | | `boxId` | Integer | - | Box number | | `boxName` | String | - | Box name | | `description` | String | - | Description for the import request | | `sourceBucketName` | String | - | Source bucket name | | `sourceFilePath` | String | - | Import request target file name | | `targetNasName` | String | - | Target NAS name | | `statusCode` | String | - | Import request status code - See [File import status code](/docs/en/datafence-code#FileImportStatusCode). | | `statusName` | String | - | Import request status name - See [File import status code](/docs/en/datafence-code#FileImportStatusCode). | | `createDate` | String | - | Import request date and time - ISO 8601 format (including UTC+9) | | `completeDate` | String | - | Import completion date and time - ISO 8601 format (including UTC+9) | ### Response status codes For information about the HTTP status codes common to all Datafence APIs, see [Datafence API response status codes](/docs/en/datafence-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "totalCount": 3, "content": [ { "fileId": 113, "fenceId": 26, "boxId": 74, "boxName": "box1", "sourceBucketName": "test-bucket-for-fence", "sourceFilePath": "archive3.zip", "targetNasName": "74box1", "description": "File import request", "statusCode": "INITIALIZED", "statusName": "Import requested (before file transfer)", "createDate": "2025-04-25T11:22:07+09:00" }, { "fileId": 112, "fenceId": 26, "boxId": 74, "boxName": "box1", "sourceBucketName": "test-bucket-for-fence", "sourceFilePath": "archive2.zip", "targetNasName": "74box1", "description": "File import request", "statusCode": "UPLOADING", "statusName": "Import requested (file transfer in progress)", "createDate": "2025-04-25T11:22:07+09:00" }, { "fileId": 111, "fenceId": 26, "boxId": 74, "boxName": "box1", "sourceBucketName": "test-bucket-for-fence", "sourceFilePath": "archive.zip", "targetNasName": "74box1", "description": "File import request", "statusCode": "IMPORTED", "statusName": "Import completed", "createDate": "2025-04-25T11:22:07+09:00", "completeDate": "2025-04-25T11:22:44+09:00" } ] } ```